Loading...
Searching...
No Matches
opengv::triangulation Namespace Reference

The namespace for the triangulation methods. More...

## Functions

point_t | triangulate (const relative_pose::RelativeAdapterBase &adapter, size_t index)
| Compute the position of a 3D point seen from two viewpoints. Linear Method.
point_t | triangulate2 (const relative_pose::RelativeAdapterBase &adapter, size_t index)
| Compute the position of a 3D point seen from two viewpoints. Fast non-linear approximation (closed-form).

## Detailed Description

The namespace for the triangulation methods.

## Function Documentation

## triangulate()

point_t opengv::triangulation::triangulate | ( | const relative_pose::RelativeAdapterBase & | adapter,
|  | size_t | index )

Compute the position of a 3D point seen from two viewpoints. Linear Method.

Parameters

  [in] | adapter | Visitor holding bearing-vector correspondences, plus the relative transformation.
  [in] | index | The index of the correspondence being triangulated.

Returns
  The 3D point expressed in the first viewpoint.

## triangulate2()

point_t opengv::triangulation::triangulate2 | ( | const relative_pose::RelativeAdapterBase & | adapter,
|  | size_t | index )

Compute the position of a 3D point seen from two viewpoints. Fast non-linear approximation (closed-form).

Parameters

  [in] | adapter | Visitor holding bearing-vector correspondences, plus the relative transformation.
  [in] | index | The index of the correspondence being triangulated.

Returns
  The 3D point expressed in the first viewpoint.